New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Flash player not work #6271

Closed
Nemra1 opened this Issue Nov 3, 2017 · 9 comments

Comments

Projects
None yet
3 participants
@Nemra1

Nemra1 commented Nov 3, 2017

NWJS Version : nwjs-v0.24.4-win-x64
Operating System :8.1

Expected behavior


{
  "name": "nw-demo",
  "main": "http://xops.ml/client/index.php?init_lang=ar",
  "chromium-args": "--ppapi-flash-path=pepflashplayer.dll --ignore-certificate-errors --disable-web-security"

}

im own AV chat room and i need to accses to hardware for mice and camera from browser by swf file included in my system ...
but i get outdata player
2017-11-03_210353

@Christywl

This comment has been minimized.

Contributor

Christywl commented Nov 6, 2017

Please try to add --ppapi-flash-version=your_flash_version in "chromium-args".
Or just put the plugin files (including ‘manifest.json’ of it) in the ‘PepperFlash’ subdirectory under NW.js binary. In this case, there is no need to add "chromium-args" in package.json.

@Christywl Christywl added the needinfo label Nov 6, 2017

@Nemra1

This comment has been minimized.

Nemra1 commented Nov 6, 2017

thx @Christywl ............ok now this my .json file

{
  "name": "nw-demo",
  "main": "http://xops.ml/client/index.php?init_lang=ar",
  "chromium-args": "--ppapi-flash-path=pepflashplayer.dll --ignore-certificate-errors --disable-web-security --ppapi-flash-version=27.0.0.183 --reduce-security-for-testing--allow-running-insecure-content"
}

now after add --ppapi-flash-version=27.0.0.183
browser say couldnt load plugin
2
and my plugin in NW.js folder
3
what is wrong now?

@Christywl

This comment has been minimized.

Contributor

Christywl commented Nov 7, 2017

If you want to use chromium-args, I think you need to add the path for pepflashplayer.dll, --ppapi-flash-path=/your_path/pepflashplayer.dll.
Another way, you need put manifest.json and pepflashplayer.dll in the PepperFlash subdirectory, not 27.0.0.183.
image

@Nemra1

This comment has been minimized.

Nemra1 commented Nov 8, 2017

@Christywl thx but now i need to click right to enable and nothing work
2017-11-08_152855

@Christywl

This comment has been minimized.

Contributor

Christywl commented Nov 9, 2017

It works fine on my device. I put the plugin files (including ‘manifest.json’ of it) in the ‘PepperFlash’ subdirectory under NW.js binary.
image
Here is my test:

{
  "name": "nw-demo",
  "main": "http://get.adobe.com/flashplayer/about/"
}
{
  "name": "nw-demo",
  "main": "http://get.adobe.com/flashplayer/about/",
  "chromium-args": "--ppapi-flash-path=PepperFlash/pepflashplayer.dll --ppapi-flash-version=27.0.0.183"
}

Both of them works fine.

@rogerwang

This comment has been minimized.

Member

rogerwang commented Nov 9, 2017

It's better to make sure system flash plugin is not involved. NW tries to find system flash plugin pointed by HKEY_LOCAL_MACHINE\SOFTWARE\Macromedia\FlashPlayerPepper in the registry.

@Nemra1

This comment has been minimized.

Nemra1 commented Nov 9, 2017

Im work on Windows 8.1 Pro 64x
But none of this work with me

@Nemra1

This comment has been minimized.

Nemra1 commented Nov 12, 2017

no luck to workc in node webkit

@stale

This comment has been minimized.

stale bot commented Nov 7, 2018

This issue has been automatically marked as stale because it has not had recent activity. It will be closed if no further activity occurs. Thank you for your contributions.

@stale stale bot added the stale label Nov 7, 2018

@stale stale bot closed this Nov 10, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment